profile
viewpoint
If you are wondering where the data of this site comes from, please visit https://api.github.com/users/jeffcasavant/events. GitMemory does not store any data, but only uses NGINX to cache data for a period of time. The idea behind GitMemory is simply to give users a better reading experience.

jeffcasavant/MaubotTwilio 3

Maubot plugin to bridge SMS in with Twilio

jeffcasavant/dellwarranty 2

Tool for getting the shipdates/other dell warranty info using their API

anjosh/gradmap-parser 1

OSU CSE course catalog parser.

buckmaxwell/GrocerySage 0

Grocery delivery application

jeffcasavant/background-by-reddit 0

Auto-Update your computers background every few minutes with the latest reddit pics.

jeffcasavant/buckmaker 0

Scrapes a family tree from the Buck family tree website - outputs JSON

startedCadair/octoprint-matrix-notifier-plugin

started time in 7 hours

issue openedSoMuchForSubtlety/f1viewer

[FEATURE] $title var without colons

I use a custom FFmpeg command:

{
  "title": "FFMPEG Download",
  "command": [
      "ffmpeg", "-i", "$url", "-c", "copy", "-loglevel", "warning", "-stats", "$title.mp4"
  ]
}

But when I try to fetch titles containing a colon, this errors out (e.g. in the case of 2022: Everything You Need To Know, ffmpeg thinks I'm trying to copy to a URI with the protocol 2022).

I'd like at least a title var without a colon in it. But it'd be even cooler if I could define the characters that get removed from the $title variable in config.

created time in 2 days

startednabla-c0d3/sslyze

started time in 4 days

startedTeamPiped/Piped

started time in 5 days

startednvbn/thefuck

started time in 8 days

issue commentpython-poetry/poetry

python3 get-poetry.py get some errors

@finswimmer there's a workaround on my asdf-python issue: https://github.com/danhper/asdf-python/issues/106

Abeautifulsnow

comment created time in 9 days

startedManawyrm/fxIP

started time in 11 days

startedjacobalberty/unifi-docker

started time in 12 days

startedapexatoll/cliptic

started time in 12 days

startedmahmoudimus/sqlalchemy-citext

started time in 15 days

startedqmk/qmk_firmware

started time in 19 days

issue openeddanhper/asdf-python

urllib certificate errors on MacOS 11.2.3

I have Python 3.8.10 installed via asdf on my MacOS 11.2.3 machine.

Running the following snippet produces an SSL certificate verification error:

import urllib.request
urllib.request.urlopen("https://google.com")

Obviously Google opens fine in my browser.

[jcasavant@jcasavant-MacBook-Pro ~]$ python
Python 3.8.10 (default, Jul  2 2021, 17:07:24) 
[Clang 12.0.5 (clang-1205.0.22.9)] on darwin
Type "help", "copyright", "credits" or "license" for more information.
>>> import urllib.request
>>> urllib.request.urlopen("https://google.com")
Traceback (most recent call last):
  File "/Users/jcasavant/.asdf/installs/python/3.8.10/lib/python3.8/urllib/request.py", line 1354, in do_open
    h.request(req.get_method(), req.selector, req.data, headers,
  File "/Users/jcasavant/.asdf/installs/python/3.8.10/lib/python3.8/http/client.py", line 1252, in request
    self._send_request(method, url, body, headers, encode_chunked)
  File "/Users/jcasavant/.asdf/installs/python/3.8.10/lib/python3.8/http/client.py", line 1298, in _send_request
    self.endheaders(body, encode_chunked=encode_chunked)
  File "/Users/jcasavant/.asdf/installs/python/3.8.10/lib/python3.8/http/client.py", line 1247, in endheaders
    self._send_output(message_body, encode_chunked=encode_chunked)
  File "/Users/jcasavant/.asdf/installs/python/3.8.10/lib/python3.8/http/client.py", line 1007, in _send_output
    self.send(msg)
  File "/Users/jcasavant/.asdf/installs/python/3.8.10/lib/python3.8/http/client.py", line 947, in send
    self.connect()
  File "/Users/jcasavant/.asdf/installs/python/3.8.10/lib/python3.8/http/client.py", line 1421, in connect
    self.sock = self._context.wrap_socket(self.sock,
  File "/Users/jcasavant/.asdf/installs/python/3.8.10/lib/python3.8/ssl.py", line 500, in wrap_socket
    return self.sslsocket_class._create(
  File "/Users/jcasavant/.asdf/installs/python/3.8.10/lib/python3.8/ssl.py", line 1040, in _create
    self.do_handshake()
  File "/Users/jcasavant/.asdf/installs/python/3.8.10/lib/python3.8/ssl.py", line 1309, in do_handshake
    self._sslobj.do_handshake()
ssl.SSLCertVerificationError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed: unable to get local issuer certificate (_ssl.c:1131)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "/Users/jcasavant/.asdf/installs/python/3.8.10/lib/python3.8/urllib/request.py", line 222, in urlopen
    return opener.open(url, data, timeout)
  File "/Users/jcasavant/.asdf/installs/python/3.8.10/lib/python3.8/urllib/request.py", line 525, in open
    response = self._open(req, data)
  File "/Users/jcasavant/.asdf/installs/python/3.8.10/lib/python3.8/urllib/request.py", line 542, in _open
    result = self._call_chain(self.handle_open, protocol, protocol +
  File "/Users/jcasavant/.asdf/installs/python/3.8.10/lib/python3.8/urllib/request.py", line 502, in _call_chain
    result = func(*args)
  File "/Users/jcasavant/.asdf/installs/python/3.8.10/lib/python3.8/urllib/request.py", line 1397, in https_open
    return self.do_open(http.client.HTTPSConnection, req,
  File "/Users/jcasavant/.asdf/installs/python/3.8.10/lib/python3.8/urllib/request.py", line 1357, in do_open
    raise URLError(err)
urllib.error.URLError: <urlopen error [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed: unable to get local issuer certificate (_ssl.c:1131)>

The patch described in the readme fails to apply during the build process:

[jcasavant@jcasavant-MacBook-Pro ~]$ export ASDF_PYTHON_PATCH_URL="https://github.com/python/cpython/commit/8ea6353.patch?full_index=1"
[jcasavant@jcasavant-MacBook-Pro ~]$ asdf install python 3.8.10
python-build --patch 3.8.10 /Users/jcasavant/.asdf/installs/python/3.8.10
with patch file from: https://github.com/python/cpython/commit/8ea6353.patch?full_index=1
python-build: use openssl@1.1 from homebrew
python-build: use readline from homebrew
Downloading Python-3.8.10.tar.xz...
-> https://www.python.org/ftp/python/3.8.10/Python-3.8.10.tar.xz
Installing Python-3.8.10...
patching file Misc/NEWS.d/next/macOS/2020-06-24-13-51-57.bpo-41100.mcHdc5.rst
patching file configure
Hunk #1 FAILED at 3426.
1 out of 1 hunk FAILED -- saving rejects to file configure.rej
patching file configure.ac
Hunk #1 FAILED at 510.
1 out of 1 hunk FAILED -- saving rejects to file configure.ac.rej

BUILD FAILED (OS X 11.2.3 using python-build 2.0.2-1-g673c7301)

Inspect or clean up the working tree at /var/folders/hr/lr89gxf13pn47tjg3sz23dmc0000gq/T/python-build.20210702171408.38906
Results logged to /var/folders/hr/lr89gxf13pn47tjg3sz23dmc0000gq/T/python-build.20210702171408.38906.log

Last 10 log lines:
/var/folders/hr/lr89gxf13pn47tjg3sz23dmc0000gq/T/python-build.20210702171408.38906 ~
/var/folders/hr/lr89gxf13pn47tjg3sz23dmc0000gq/T/python-build.20210702171408.38906/Python-3.8.10 /var/folders/hr/lr89gxf13pn47tjg3sz23dmc0000gq/T/python-build.20210702171408.38906 ~

So I'm at a loss. Is this plugin supposed to install some trusted certs on MacOS? I've read that the system / homebrew Python installations sometimes need that done manually.

created time in 21 days

issue commentpython-poetry/poetry

python3 get-poetry.py get some errors

I have python 3.8.10 installed with ASDF on MacOS 11.2.3.

You can replicate this issue with urllib itself, so it's not a Poetry problem, but instead a problem with our Python distributions (which I haven't tracked down yet).

import urllib.request
urllib.request.urlopen("https://google.com")
Abeautifulsnow

comment created time in 21 days

startedawslabs/aws-sdk-rust

started time in 23 days

startedjryans/awesome-matrix

started time in 25 days

startedjart/cosmopolitan

started time in a month

startedmozilla/sops

started time in a month

startedgoogle/fully-homomorphic-encryption

started time in a month

startedrichvdh/cidr-merge

started time in a month

startedNeo23x0/munin

started time in a month

startedfacebookresearch/AugLy

started time in a month

startedopnsense/core

started time in a month

startedlesovsky/pgcenter

started time in a month

startedRIPE-NCC/ripe-atlas-software-probe

started time in a month

startede-m-b-a/emba

started time in a month

PR closed SoMuchForSubtlety/f1viewer

Working on fixing #167 403 during auth flow

This evening I dug into the 403 issue that's been reported 3 times. It's an error generated by CloudFront, so something has changed at F1TV. The URL F1Viewer uses for the getToken response no longer accepts POSTs.

I traced through what my browser was doing, and it never did the token swap that F1Viewer was set up to do (and that was causing auth to fail). It looks like it just uses the subscription token for everything. So as an initial stab at solving the issue, I took out the token swap & used the subscription token as the ascendon token. That worked.

Obviously this works for me, but I have a few concerns I haven't been able to track down:

  • I'm curious if the F1TV app does this token swap, but I did not put in the effort to trace its HTTP requests.
  • I don't have a way to determine whether this is a Pro or Access subscription (you can see I've hardcoded it to "pro" in the meantime). I looked through all the requests made by my browser and found none that contained the plain string "pro" in the response.
  • I am curious if F1TV have removed this token swap altogether on their side. It's also possible they've moved the URL. I'm not sure how to find out which.

I'd love to have some input on how you figured out the token swap was happening in the first place and how I might go about tracing through that flow again. Thanks!

+4 -41

1 comment

1 changed file

jeffcasavant

pr closed time in a month

pull request commentSoMuchForSubtlety/f1viewer

Working on fixing #167 403 during auth flow

Missed the existence of #171 - I'm gonna close this in favor of that.

jeffcasavant

comment created time in a month

PR opened SoMuchForSubtlety/f1viewer

Working on fixing #167 403 during auth flow

This evening I dug into the 403 issue that's been reported 3 times. It's an error generated by CloudFront, so something has changed at F1TV. The URL F1Viewer uses for the getToken response no longer accepts POSTs.

I traced through what my browser was doing, and it never did the token swap that F1Viewer was set up to do (and that was causing auth to fail). It looks like it just uses the subscription token for everything. So as an initial stab at solving the issue, I took out the token swap & used the subscription token as the ascendon token. That worked.

Obviously this works for me, but I have a few concerns I haven't been able to track down:

  • I'm curious if the F1TV app does this token swap, but I did not put in the effort to trace its HTTP requests.
  • I don't have a way to determine whether this is a Pro or Access subscription (you can see I've hardcoded it to "pro" in the meantime). I looked through all the requests made by my browser and found none that contained the plain string "pro" in the response.
  • I am curious if F1TV have removed this token swap altogether on their side. It's also possible they've moved the URL. I'm not sure how to find out which.

I'd love to have some input on how you figured out the token swap was happening in the first place and how I might go about tracing through that flow again. Thanks!

+4 -41

0 comment

1 changed file

pr created time in a month

push eventjeffcasavant/f1viewer

Jeff Casavant

commit sha 53d0c0ba7dce7d9f9cf6edd7c7b5e148a2f9336a

Drop commented stuff

view details

push time in a month

push eventjeffcasavant/f1viewer

Jeff Casavant

commit sha 929eb60ccdc1d01bbe26016b93f4213ab5076abc

Drop token swap

view details

push time in a month